@charset "UTF-8";

@media all {
	#main a.shop-item {
		color: var(--font-color);
	}

	#main a.shop-item {
		text-decoration: none !important;
		margin-bottom: 20px;
	}

	#main a.shop-item > div {
		border-radius: 5px;
		box-shadow: 0 3px 6px #00000029;
		height: 100%;
	}

	#main a.shop-item .shop-item__text {
		padding: 30px;
	}

	#main a.shop-item .shop-item__text h3 {
		margin: 0;
		text-decoration: underline;
		hyphens: auto;
	}

	#main a.shop-item:hover h3 {
		color: var(--primary-color);
	}

	#main a.shop-item div.shop-item__image {
		height: 190px;
		position: relative;
	}

	#main a.shop-item div.shop-item__image img {
		height: 100%;
		object-fit: cover;
	}

	#main a.shop-item:hover div.shop-item__image::after {
		content: '';
		position: absolute;
		left: 0;
		top: 0;
		width: 100%;
		height: 100%;
		background-color: var(--primary-transparent-color);
	}

	@keyframes dot-animation {
		0%, 20% {
			opacity: 0;
		}

		50% {
			opacity: 1;
		}

		100% {
			opacity: 0;
		}
	}

	#main .loading-text span {
		animation: dot-animation 1.5s infinite;
	}

	#main .loading-text .dot-1 {
		animation-delay: 0s;
	}

	#main .loading-text .dot-2 {
		animation-delay: 0.3s;
	}

	#main .loading-text .dot-3 {
		animation-delay: 0.6s;
	}
}